<script>
    import ArticleHeader from "$lib/components/ArticleHeader.svelte";
    import { error } from "@sveltejs/kit";

    
    /**
     * @typedef {Object} Props
     * @property {import("./$types").PageData} data
     */

    /** @type {Props} */
    let { data } = $props();

    // hopefully this will get my attention
    if (!data.title) error(500, "there is no title dumbass");
    if (!data.description) error(500, "there is no description silly");
</script>

<article id="main-content">
    <ArticleHeader />

    <data.content />
</article>
